# -*- encoding: utf-8 -*-
# stub: opennebula 6.2.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "opennebula".freeze
  s.version = "6.2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["OpenNebula".freeze]
  s.date = "2024-07-18"
  s.description = "Libraries needed to talk to OpenNebula".freeze
  s.email = "contact@opennebula.io".freeze
  s.files = ["LICENSE".freeze, "NOTICE".freeze, "lib/ActionManager.rb".freeze, "lib/CommandManager.rb".freeze, "lib/DriverExecHelper.rb".freeze, "lib/OpenNebulaDriver.rb".freeze, "lib/VirtualMachineDriver.rb".freeze, "lib/cloud/CloudClient.rb".freeze, "lib/datacenter.rb".freeze, "lib/datastore.rb".freeze, "lib/distributed_firewall.rb".freeze, "lib/file_helper.rb".freeze, "lib/host.rb".freeze, "lib/logical_port.rb".freeze, "lib/logical_switch.rb".freeze, "lib/memoize.rb".freeze, "lib/models.rb".freeze, "lib/models/role.rb".freeze, "lib/models/service.rb".freeze, "lib/network.rb".freeze, "lib/nsx_client.rb".freeze, "lib/nsx_component.rb".freeze, "lib/nsx_constants.rb".freeze, "lib/nsx_driver.rb".freeze, "lib/nsx_error.rb".freeze, "lib/nsx_rule.rb".freeze, "lib/nsxt_client.rb".freeze, "lib/nsxt_dfw.rb".freeze, "lib/nsxt_logical_port.rb".freeze, "lib/nsxt_rule.rb".freeze, "lib/nsxt_tz.rb".freeze, "lib/nsxv_client.rb".freeze, "lib/nsxv_dfw.rb".freeze, "lib/nsxv_logical_port.rb".freeze, "lib/nsxv_rule.rb".freeze, "lib/nsxv_tz.rb".freeze, "lib/opaque_network.rb".freeze, "lib/opennebula.rb".freeze, "lib/opennebula/acl.rb".freeze, "lib/opennebula/acl_pool.rb".freeze, "lib/opennebula/client.rb".freeze, "lib/opennebula/cluster.rb".freeze, "lib/opennebula/cluster_pool.rb".freeze, "lib/opennebula/datastore.rb".freeze, "lib/opennebula/datastore_pool.rb".freeze, "lib/opennebula/document.rb".freeze, "lib/opennebula/document_json.rb".freeze, "lib/opennebula/document_pool.rb".freeze, "lib/opennebula/document_pool_json.rb".freeze, "lib/opennebula/error.rb".freeze, "lib/opennebula/flow.rb".freeze, "lib/opennebula/flow/grammar.rb".freeze, "lib/opennebula/flow/service_pool.rb".freeze, "lib/opennebula/flow/service_template.rb".freeze, "lib/opennebula/flow/service_template_ext.rb".freeze, "lib/opennebula/flow/service_template_pool.rb".freeze, "lib/opennebula/flow/validator.rb".freeze, "lib/opennebula/group.rb".freeze, "lib/opennebula/group_pool.rb".freeze, "lib/opennebula/hook.rb".freeze, "lib/opennebula/hook_log.rb".freeze, "lib/opennebula/hook_pool.rb".freeze, "lib/opennebula/host.rb".freeze, "lib/opennebula/host_pool.rb".freeze, "lib/opennebula/image.rb".freeze, "lib/opennebula/image_pool.rb".freeze, "lib/opennebula/ldap_auth.rb".freeze, "lib/opennebula/ldap_auth_spec.rb".freeze, "lib/opennebula/lockable_ext.rb".freeze, "lib/opennebula/marketplace.rb".freeze, "lib/opennebula/marketplace_pool.rb".freeze, "lib/opennebula/marketplaceapp.rb".freeze, "lib/opennebula/marketplaceapp_ext.rb".freeze, "lib/opennebula/marketplaceapp_pool.rb".freeze, "lib/opennebula/oneflow_client.rb".freeze, "lib/opennebula/pool.rb".freeze, "lib/opennebula/pool_element.rb".freeze, "lib/opennebula/security_group.rb".freeze, "lib/opennebula/security_group_pool.rb".freeze, "lib/opennebula/server_cipher_auth.rb".freeze, "lib/opennebula/server_x509_auth.rb".freeze, "lib/opennebula/ssh_auth.rb".freeze, "lib/opennebula/system.rb".freeze, "lib/opennebula/template.rb".freeze, "lib/opennebula/template_ext.rb".freeze, "lib/opennebula/template_pool.rb".freeze, "lib/opennebula/user.rb".freeze, "lib/opennebula/user_pool.rb".freeze, "lib/opennebula/utils.rb".freeze, "lib/opennebula/vdc.rb".freeze, "lib/opennebula/vdc_pool.rb".freeze, "lib/opennebula/virtual_machine.rb".freeze, "lib/opennebula/virtual_machine_ext.rb".freeze, "lib/opennebula/virtual_machine_pool.rb".freeze, "lib/opennebula/virtual_network.rb".freeze, "lib/opennebula/virtual_network_pool.rb".freeze, "lib/opennebula/virtual_router.rb".freeze, "lib/opennebula/virtual_router_pool.rb".freeze, "lib/opennebula/vm_group.rb".freeze, "lib/opennebula/vm_group_pool.rb".freeze, "lib/opennebula/vntemplate.rb".freeze, "lib/opennebula/vntemplate_pool.rb".freeze, "lib/opennebula/wait_ext.rb".freeze, "lib/opennebula/x509_auth.rb".freeze, "lib/opennebula/xml_element.rb".freeze, "lib/opennebula/xml_pool.rb".freeze, "lib/opennebula/xml_utils.rb".freeze, "lib/opennebula/zone.rb".freeze, "lib/opennebula/zone_pool.rb".freeze, "lib/rest_client.rb".freeze, "lib/scripts_common.rb".freeze, "lib/transport_zone.rb".freeze, "lib/vcenter_driver.rb".freeze, "lib/vcenter_importer.rb".freeze, "lib/vi_client.rb".freeze, "lib/vi_helper.rb".freeze, "lib/virtual_machine.rb".freeze, "lib/virtual_wire.rb".freeze, "lib/vm_device.rb".freeze, "lib/vm_disk.rb".freeze, "lib/vm_folder.rb".freeze, "lib/vm_helper.rb".freeze, "lib/vm_monitor.rb".freeze, "lib/vm_nic.rb".freeze, "lib/vm_template.rb".freeze, "lib/vmm_importer.rb".freeze]
  s.homepage = "http://opennebula.io".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.3.26".freeze
  s.summary = "OpenNebula Client API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rbvmomi>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<xmlrpc>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<treetop>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<ipaddress>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<parse-cron>.freeze, [">= 0"])
  else
    s.add_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_dependency(%q<json>.freeze, [">= 0"])
    s.add_dependency(%q<rbvmomi>.freeze, [">= 0"])
    s.add_dependency(%q<xmlrpc>.freeze, [">= 0"])
    s.add_dependency(%q<treetop>.freeze, [">= 0"])
    s.add_dependency(%q<ipaddress>.freeze, [">= 0"])
    s.add_dependency(%q<parse-cron>.freeze, [">= 0"])
  end
end
